import typing
import numpy as np
import numpy.typing as npt


class Mesh(typing.TypedDict):
    num: np.int32
    type: npt.NDArray[np.int32]
    tag: npt.NDArray[np.int32]
    offset: npt.NDArray[np.int32]
    index: npt.NDArray[np.int32]



def read_points(file_name: str) -> npt.NDArray[np.float64]: ...

def read_points_selection(file_name: str, indices: npt.NDArray[np.int32]) -> npt.NDArray[np.float64]: ...

def read_points_bin(file_name: str) -> npt.NDArray[np.float64]: ...

def read_UVCs(file_name: str) -> npt.NDArray[np.float64]: ...

def read_UVCs_selection(file_name: str, indices: npt.NDArray[np.int32]) -> npt.NDArray[np.float64]: ...

def read_elements(file_name: str) -> Mesh: ...

def read_elements_bin(file_name: str) -> Mesh: ...

def read_element_tags(file_name: str) -> npt.NDArray[np.int32]: ...

def read_element_tags_bin(file_name: str) -> npt.NDArray[np.int32]: ...

def read_surface_elements(file_name: str) -> Mesh: ...

def read_fibers(file_name: str, num_fibers: int) -> npt.NDArray[np.float64]: ...

def read_fibers_bin(file_name: str, num_fibers: int) -> npt.NDArray[np.float64]: ...

def read_fibers_bin2(file_name: str) -> npt.NDArray[np.float64]: ...

def read_tags_bin(file_name: str) -> npt.NDArray[np.int32]: ...

def read_scalar_data(file_name: str, num_vals: int) -> npt.NDArray[np.float64]: ...

def read_scalar_data_int(file_name: str, num_vals: int) -> npt.NDArray[np.int32]: ...

def read_vector_data(file_name: str, num_vecs: int) -> npt.NDArray[np.float64]: ...

def read_vertex_data(file_name: str) -> typing.Tuple[npt.NDArray[np.int32], str]: ...
